SystemOrganization addCategory: #'Seaside-FileSystemLibrary'!

WAFileLibrary subclass: #WAFileSystemFileLibrary
	instanceVariableNames: ''
	classVariableNames: 'Location'
	poolDictionaries: ''
	category: 'Seaside-FileSystemLibrary'!

!WAFileSystemFileLibrary commentStamp: 'AdriaanVanOs 7/3/2011 12:48' prior: 0!
This is simple implementation of an external files library. Only a single instance is supported.
Class variable named Location holds a path string to the directory to look in.!

!WAFileSystemFileLibrary class methodsFor: 'class initialization' stamp: 'AdriaanVanOs 7/3/2011 12:53'!
location: aString

	Location := aString! !

!WAFileSystemFileLibrary methodsFor: 'private' stamp: 'AdriaanVanOs 7/3/2011 12:41'!
contentsOfFileNamed: aSymbol

	| path |

	path := self location last = GRPlatform current pathSeparator
		ifTrue: [ self location , (self asFilename: aSymbol) ]
		ifFalse: [ self location , GRPlatform current pathSeparator , (self asFilename: aSymbol) ].

	^ GRPlatform current contentsOfFile: path binary: (self class isBinary: path)! !

!WAFileSystemFileLibrary methodsFor: 'error handling' stamp: 'AdriaanVanOs 7/3/2011 11:36'!
doesNotUnderstand: aMessage

	^ (self fileSelectors includes: aMessage selector )
		ifFalse: [ super doesNotUnderstand: aMessage ]
		ifTrue: [ self contentsOfFileNamed: aMessage selector]! !

!WAFileSystemFileLibrary methodsFor: 'private' stamp: 'AdriaanVanOs 7/3/2011 11:59'!
fileSelectors

	^ (GRPlatform current filesIn: self location)
		collect: [ :each | self asSelector: (GRPlatform current localNameOf: each) ]! !

!WAFileSystemFileLibrary methodsFor: 'private' stamp: 'AdriaanVanOs 7/3/2011 11:50'!
location

	Location ifNil: [ self class location: '.' ].
	^ Location! !

!WAFileSystemFileLibrary methodsFor: 'accessing' stamp: 'AdriaanVanOs 7/3/2011 11:36'!
selectorsToInclude

	^self fileSelectors
		 ! !
